Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022102
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminorhave not tried2012-10-25 12:362013-01-24 04:59
ReporterngarciaView Statuspublic 
Assigned Todmiguelez 
PriorityhighResolutionfixedFixed in Version3.0MP20
StatusclosedFix in branchFixed in SCM revisiond30eff56b0f3
ProjectionnoneETAnoneTarget Version3.0MP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tongarcia
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022102: Initial Organization Setup fails if you define a location and a user

DescriptionInitial Organization Setup fails if you define a location and a user. Anyway, the organization is created and it is not possible to delete it
Steps To ReproduceAs group admin role:
   Go to Initial Organization Setup, fill the mandatory fields and the following ones:
      Organization Username
      Password
      Confirm Password
      Location/Address
   It is not necessary to check the Include accounting
   Notice that the following error appears:
      Create organization process failed
      Entity Location is not writable by this user
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0055758)
hgbot (developer)
2013-01-23 11:21

Repository: erp/devel/pi
Changeset: d30eff56b0f36de5af118ba3f721d063ce4efedb
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jan 22 18:25:28 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d30eff56b0f36de5af118ba3f721d063ce4efedb [^]

Fixes Issue 22102. Adds OBContext.setAdminMode(true) before flush.

---
M src/org/openbravo/erpCommon/businessUtility/InitialSetupUtility.java
---
(0055760)
dmiguelez (developer)
2013-01-23 11:23

Test Plan:

1. Change role to F&B International Group Admin role.

2. Create a new Organization
  - In Initial Organization Setup Window, fill the mandatory fields and the following ones:
    - Organization Username
    - Password
    - Confirm Password
    - Location/Address
    - It is not necessary to check the Include accounting
  - Notice that the Organization is created correctly.
(0055773)
ngarcia (developer)
2013-01-23 16:12

verified
(0055787)
hudsonbot (developer)
2013-01-24 04:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c7e708c0b53e [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-10-25 12:36 ngarcia New Issue
2012-10-25 12:36 ngarcia Assigned To => dmiguelez
2012-10-25 12:36 ngarcia Modules => Core
2012-10-25 12:36 ngarcia Issue Monitored: networkb
2012-10-25 12:38 ngarcia Description Updated View Revisions
2012-10-25 13:04 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2012-10-30 16:22 jonalegriaesarte Assigned To jonalegriaesarte => ioritzCia
2012-12-04 11:47 jonalegriaesarte Target Version 3.0MP18 => 3.0MP19
2013-01-09 11:29 jonalegriaesarte Triggers an Emergency Pack => No
2013-01-09 11:29 jonalegriaesarte Target Version 3.0MP19 => 3.0MP20
2013-01-22 12:08 jonalegriaesarte Assigned To ioritzCia => dmiguelez
2013-01-23 11:21 hgbot Checkin
2013-01-23 11:21 hgbot Note Added: 0055758
2013-01-23 11:21 hgbot Status new => resolved
2013-01-23 11:21 hgbot Resolution open => fixed
2013-01-23 11:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d30eff56b0f36de5af118ba3f721d063ce4efedb [^]
2013-01-23 11:23 dmiguelez Note Added: 0055760
2013-01-23 16:12 ngarcia Review Assigned To => ngarcia
2013-01-23 16:12 ngarcia Note Added: 0055773
2013-01-23 16:12 ngarcia Status resolved => closed
2013-01-23 16:12 ngarcia Fixed in Version => 3.0MP20
2013-01-24 04:59 hudsonbot Checkin
2013-01-24 04:59 hudsonbot Note Added: 0055787


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker